|
马上注册,结交更多同行朋友,交流,分享,学习。
您需要 登录 才可以下载或查看,没有帐号?注册
x
目的获取拉伸对象的拉伸曲线调用UF_MODL_ask_sweep_curves函数怎么老出错
/////////////////////////////
拾取对象
tag_t three_element;
opts.other_options=0;
opts.reserved=NULL;
opts.num_mask_triples=1;
opts.mask_triples=&mask;
opts.mask_triples->object_type=UF_solid_type;//UF_face_type;
opts.mask_triples->object_subtype=UF_solid_body_subtype;//UF_bounded_plane_subtype;
opts.mask_triples->solid_type=UF_UI_SEL_FEATURE_BODY;//UF_UI_SEL_FEATURE_ANY_FACE;
opts.scope=UF_UI_SEL_SCOPE_WORK_PART;//UF_UI_SEL_SCOPE_ANY_IN_ASSEMBLY;
irc=UF_UI_select_single(message,&opts,&response,&three_element,cursor,&view);
UF_DISP_set_highlight(three_element,0);
获取对象所属特征tag值
tag_t three_feature_tag;
uf_list_t * feature_tag_list;
irc=UF_MODL_create_list(&feature_tag_list);
irc=UF_MODL_ask_body_feats(three_element,&feature_tag_list);
tag_t list_item;
irc=UF_MODL_ask_list_item(feature_tag_list,0,&list_item);
获取拉伸曲线
int pro_number;
int gui_number;
tag_t* pro_tag;
tag_t* gui_tag;
irc=UF_MODL_ask_sweep_curves(list_item,&pro_number,&pro_tag,&gui_number,&gui_tag);
////////////////////////////////// |
|